{
  "filterList": [
    { "operation": "smtk::session::polygon::CreateModel",             "name": "create model",             "precedence":    0 },
    { "operation": "smtk::model::AddImage",                          "name": "add image",                "precedence":   10 },
    { "operation": "smtk::session::polygon::Import",                  "name": "import model",             "precedence":   20 },
    { "operation": "smtk::session::polygon::Write",                   "name": "save",                     "precedence":   30 },
    { "operation": "smtk::session::polygon::CreateVertices",          "name": "create vertices",          "precedence":   40 },
    { "operation": "smtk::session::polygon::CreateEdge",              "name": "create edge",              "precedence":   50 },
    { "operation": "smtk::session::polygon::CreateEdgeFromPoints",    "name": "create edge from points",  "precedence":   60 },
    { "operation": "smtk::session::polygon::ExtractContours",         "name": "create edge from contour", "precedence":   70 },
    { "operation": "smtk::session::polygon::CreateFaces",             "name": "create all faces",         "precedence":   80 },
    { "operation": "smtk::session::polygon::CreateFacesFromEdges",    "name": "create faces from edges",  "precedence":   90 },
    { "operation": "smtk::session::polygon::Delete",                  "name": "delete",                   "precedence":  100 },
    { "operation": "smtk::session::polygon::CleanGeometry",           "name": "clean geometry",           "precedence":  110 },
    { "operation": "smtk::session::polygon::DemoteVertex",            "name": "demote vertex",            "precedence":  120 },
    { "operation": "smtk::session::polygon::TweakEdge",               "name": "reshape edge",             "precedence":  130 },
    { "operation": "smtk::session::polygon::SplitEdge",               "name": "split edge",               "precedence":  140 },
    { "operation": "smtk::model::AssignColors",                      "name": "assign colors",            "precedence":  150 }
  ]
}
